regina::xml::XMLPropertyDict Class Reference
Utilities

Represents a map from property names to property values. More...

`#include <utilities/xmlutils.h>`

Inheritance diagram for regina::xml::XMLPropertyDict:

## Public Member Functions

| XMLPropertyDict ()
| Create a new map. More...
const std::string & | lookup (const std::string &key) const
| Return a value for the given key, or the empty string if the key does not exist in the map. More...

## Detailed Description

Represents a map from property names to property values.

Python:
  Not present.

## Constructor & Destructor Documentation

regina::xml::XMLPropertyDict::XMLPropertyDict | ( |  | ) |

inline

Create a new map.

## Member Function Documentation

const std::string & regina::xml::XMLPropertyDict::lookup | ( | const std::string & | key | ) | const

inline

Return a value for the given key, or the empty string if the key does not exist in the map.

Parameters

  key | the key to look up.

Returns
  the value associated with the given key, or the empty string if the key does not exist in the map.

The documentation for this class was generated from the following file:

- utilities/xmlutils.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).